@echo off
if %1.==?. goto HELP

if %1.==. Wild pkzip *.ZIP -fo wild
if %1.==. goto DONE
if %1.==*. Wild pkzip *.ZIP -fo wild %2 %3 %4 %5 %6 %7 %8 %9
if %1.==*. goto DONE

pkzip -fo^ %1 %2 %3 %4 %5 %6 %7 %8 %9
:DONE
if ErrorLevel 1 PKER
goto END

:HELP
echo.
echo.======================================================================
echo PKF.BAT - Haris Courouclis (CADMOS), 1990
echo ----------------------------------------------------------------------
echo FORMAT:  PKF 
echo    or    PKF [PKZIPparameters] ZipFile [files..]
echo   PKF calls PKZIP with -f and -o as well as any parameters you supply
echo       and freshens files in ZipFile, and sets ZIP date to latest file.
echo   With no parameters, all ZipFiles found on current dir are freshened.
echo   If the first parameter is * then all ZipFiles found on current dir
echo      are freshened with files specified in subsequent parameters.
echo.
echo EXAMPLE
echo   PKF * -be: \BATCH\*.* \UTILS\*.*   will freshen all files in current
echo      dir with files from \BATCH and \UTILS, using E: for the temp zip
echo      file.
echo.======================================================================
echo.

:END
echo.